Subject: bug#50784: closed (Re: bug#50784: coreutils 9.0 sometimes gets spurious failures in chmod -R)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Sep 2021 22:49:01 +0000

Your bug report

#50784: coreutils 9.0 sometimes gets spurious failures in chmod -R

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50784: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50784
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50784: coreutils 9.0 sometimes gets spurious failures in chmod -R
From: Pádraig Brady <[email-masked]>
To: Daniel Schepler <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Sep 2021 23:48:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 24/09/2021 22:42, Daniel Schepler wrote:
> On Fri, Sep 24, 2021 at 1:02 PM Pádraig Brady <[email-masked]> wrote:
>>> Could you try with the following untested diff:
>>
>> Tested equivalent patch is attached.
> 
> Yes, with chmod-fix-symlink-exit.patch applied and the resulting
> packages installed for testing, the issue does appear to be resolved.

Thanks for testing.
Pushed (with NEWS update).
marking this as done.

thanks,
Pádraig

Subject: coreutils 9.0 sometimes gets spurious failures in chmod -R
From: Daniel Schepler <[email-masked]>
To: [email-masked]
Date: Fri, 24 Sep 2021 11:21:40 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

After I upgraded my system (locally built) to coreutils 9.0, I noticed
that my lightly modified sbuild started getting build failures when it
tries to run "chmod -R g+w /<<BUILDDIR>>" (as root) in the chroot.
I'm not sure exactly what combination of files triggers the error, but
I'm able to reproduce it roughly as follows:

cd /tmp
tar -x -f .../coreutils-9.0.tar.xz
cd coreutils-9.0
mkdir obj-x86_64-linux-gnu
cd obj-x86_64-linux-gnu
../configure --prefix=/usr
make -j8
chmod -R u+w /tmp/coreutils-9.0/obj-x86_64-linux-gnu
echo $?

In the last chmod command, there are no failures reported; and even if
I run it under strace, I see no hints of any failed system calls other
than one in access("/etc/ld.so.preload", R_OK) at startup -- and
certainly no failures in the fchmodat() system calls.  Yet the exit
code from the process is 1.

I wasn't seeing any such errors under sbuild using coreutils 8.32.
-- 
Daniel Schepler